# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AADAuthTypeConnectionProperties,
    AbusePenalty,
    AccessKeyAuthTypeConnectionProperties,
    Account,
    AccountKeyAuthTypeConnectionProperties,
    AccountListResult,
    AccountModel,
    AccountModelListResult,
    AccountProperties,
    AccountSku,
    AccountSkuListResult,
    ApiKeyAuthConnectionProperties,
    ApiKeys,
    ApiProperties,
    AzureEntityResource,
    BillingMeterInfo,
    CalculateModelCapacityParameter,
    CalculateModelCapacityResult,
    CalculateModelCapacityResultEstimatedCapacity,
    CallRateLimit,
    CapabilityHost,
    CapabilityHostProperties,
    CapacityConfig,
    CheckDomainAvailabilityParameter,
    CheckSkuAvailabilityParameter,
    CommitmentCost,
    CommitmentPeriod,
    CommitmentPlan,
    CommitmentPlanAccountAssociation,
    CommitmentPlanAccountAssociationListResult,
    CommitmentPlanAssociation,
    CommitmentPlanListResult,
    CommitmentPlanProperties,
    CommitmentQuota,
    CommitmentTier,
    CommitmentTierListResult,
    ConnectionAccessKey,
    ConnectionAccountKey,
    ConnectionApiKey,
    ConnectionManagedIdentity,
    ConnectionOAuth2,
    ConnectionPersonalAccessToken,
    ConnectionPropertiesV2,
    ConnectionPropertiesV2BasicResource,
    ConnectionPropertiesV2BasicResourceArmPaginatedResult,
    ConnectionServicePrincipal,
    ConnectionSharedAccessSignature,
    ConnectionUpdateContent,
    ConnectionUsernamePassword,
    CustomBlocklistConfig,
    CustomKeys,
    CustomKeysConnectionProperties,
    DefenderForAISetting,
    DefenderForAISettingResult,
    Deployment,
    DeploymentCapacitySettings,
    DeploymentListResult,
    DeploymentModel,
    DeploymentProperties,
    DeploymentScaleSettings,
    DeploymentSkuListResult,
    DomainAvailability,
    Encryption,
    EncryptionScope,
    EncryptionScopeListResult,
    EncryptionScopeProperties,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    Identity,
    IpRule,
    KeyVaultProperties,
    ManagedIdentityAuthTypeConnectionProperties,
    MetricName,
    Model,
    ModelCapacityCalculatorWorkload,
    ModelCapacityCalculatorWorkloadRequestParam,
    ModelCapacityListResult,
    ModelCapacityListResultValueItem,
    ModelDeprecationInfo,
    ModelListResult,
    ModelSku,
    ModelSkuCapacityProperties,
    MultiRegionSettings,
    NetworkInjections,
    NetworkRuleSet,
    NetworkSecurityPerimeter,
    NetworkSecurityPerimeterAccessRule,
    NetworkSecurityPerimeterAccessRuleProperties,
    NetworkSecurityPerimeterAccessRulePropertiesSubscriptionsItem,
    NetworkSecurityPerimeterConfiguration,
    NetworkSecurityPerimeterConfigurationAssociationInfo,
    NetworkSecurityPerimeterConfigurationList,
    NetworkSecurityPerimeterConfigurationProperties,
    NetworkSecurityPerimeterProfileInfo,
    NoneAuthTypeConnectionProperties,
    OAuth2AuthTypeConnectionProperties,
    Operation,
    OperationDisplay,
    OperationListResult,
    PATAuthTypeConnectionProperties,
    PatchResourceTags,
    PatchResourceTagsAndSku,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateEndpointConnectionProperties,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkResourceProperties,
    PrivateLinkServiceConnectionState,
    Project,
    ProjectListResult,
    ProjectProperties,
    ProvisioningIssue,
    ProvisioningIssueProperties,
    ProxyResource,
    QuotaLimit,
    RaiBlockListItemsResult,
    RaiBlockListResult,
    RaiBlocklist,
    RaiBlocklistConfig,
    RaiBlocklistItem,
    RaiBlocklistItemBulkRequest,
    RaiBlocklistItemProperties,
    RaiBlocklistProperties,
    RaiContentFilter,
    RaiContentFilterListResult,
    RaiContentFilterProperties,
    RaiMonitorConfig,
    RaiPolicy,
    RaiPolicyContentFilter,
    RaiPolicyListResult,
    RaiPolicyProperties,
    RegenerateKeyParameters,
    RegionSetting,
    RequestMatchPattern,
    Resource,
    ResourceBase,
    ResourceSku,
    ResourceSkuListResult,
    ResourceSkuRestrictionInfo,
    ResourceSkuRestrictions,
    SASAuthTypeConnectionProperties,
    ServicePrincipalAuthTypeConnectionProperties,
    Sku,
    SkuAvailability,
    SkuAvailabilityListResult,
    SkuCapability,
    SkuChangeInfo,
    SkuResource,
    SystemData,
    ThrottlingRule,
    Usage,
    UsageListResult,
    UserAssignedIdentity,
    UserOwnedAmlWorkspace,
    UserOwnedStorage,
    UsernamePasswordAuthTypeConnectionProperties,
    VirtualNetworkRule,
)

from ._cognitive_services_management_client_enums import (  # type: ignore
    AbusePenaltyAction,
    ActionType,
    ByPassSelection,
    CapabilityHostKind,
    CapabilityHostProvisioningState,
    CommitmentPlanProvisioningState,
    ConnectionAuthType,
    ConnectionCategory,
    ConnectionGroup,
    ContentLevel,
    CreatedByType,
    DefenderForAISettingState,
    DeploymentModelVersionUpgradeOption,
    DeploymentProvisioningState,
    DeploymentScaleType,
    EncryptionScopeProvisioningState,
    EncryptionScopeState,
    HostingModel,
    KeyName,
    KeySource,
    ManagedPERequirement,
    ManagedPEStatus,
    ModelLifecycleStatus,
    NetworkRuleAction,
    NspAccessRuleDirection,
    Origin,
    PrivateEndpointConnectionProvisioningState,
    PrivateEndpointServiceConnectionStatus,
    ProvisioningState,
    PublicNetworkAccess,
    QuotaUsageStatus,
    RaiPolicyContentSource,
    RaiPolicyMode,
    RaiPolicyType,
    ResourceIdentityType,
    ResourceSkuRestrictionsReasonCode,
    ResourceSkuRestrictionsType,
    RoutingMethods,
    ScenarioType,
    SkuTier,
    UnitType,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AADAuthTypeConnectionProperties",
    "AbusePenalty",
    "AccessKeyAuthTypeConnectionProperties",
    "Account",
    "AccountKeyAuthTypeConnectionProperties",
    "AccountListResult",
    "AccountModel",
    "AccountModelListResult",
    "AccountProperties",
    "AccountSku",
    "AccountSkuListResult",
    "ApiKeyAuthConnectionProperties",
    "ApiKeys",
    "ApiProperties",
    "AzureEntityResource",
    "BillingMeterInfo",
    "CalculateModelCapacityParameter",
    "CalculateModelCapacityResult",
    "CalculateModelCapacityResultEstimatedCapacity",
    "CallRateLimit",
    "CapabilityHost",
    "CapabilityHostProperties",
    "CapacityConfig",
    "CheckDomainAvailabilityParameter",
    "CheckSkuAvailabilityParameter",
    "CommitmentCost",
    "CommitmentPeriod",
    "CommitmentPlan",
    "CommitmentPlanAccountAssociation",
    "CommitmentPlanAccountAssociationListResult",
    "CommitmentPlanAssociation",
    "CommitmentPlanListResult",
    "CommitmentPlanProperties",
    "CommitmentQuota",
    "CommitmentTier",
    "CommitmentTierListResult",
    "ConnectionAccessKey",
    "ConnectionAccountKey",
    "ConnectionApiKey",
    "ConnectionManagedIdentity",
    "ConnectionOAuth2",
    "ConnectionPersonalAccessToken",
    "ConnectionPropertiesV2",
    "ConnectionPropertiesV2BasicResource",
    "ConnectionPropertiesV2BasicResourceArmPaginatedResult",
    "ConnectionServicePrincipal",
    "ConnectionSharedAccessSignature",
    "ConnectionUpdateContent",
    "ConnectionUsernamePassword",
    "CustomBlocklistConfig",
    "CustomKeys",
    "CustomKeysConnectionProperties",
    "DefenderForAISetting",
    "DefenderForAISettingResult",
    "Deployment",
    "DeploymentCapacitySettings",
    "DeploymentListResult",
    "DeploymentModel",
    "DeploymentProperties",
    "DeploymentScaleSettings",
    "DeploymentSkuListResult",
    "DomainAvailability",
    "Encryption",
    "EncryptionScope",
    "EncryptionScopeListResult",
    "EncryptionScopeProperties",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "Identity",
    "IpRule",
    "KeyVaultProperties",
    "ManagedIdentityAuthTypeConnectionProperties",
    "MetricName",
    "Model",
    "ModelCapacityCalculatorWorkload",
    "ModelCapacityCalculatorWorkloadRequestParam",
    "ModelCapacityListResult",
    "ModelCapacityListResultValueItem",
    "ModelDeprecationInfo",
    "ModelListResult",
    "ModelSku",
    "ModelSkuCapacityProperties",
    "MultiRegionSettings",
    "NetworkInjections",
    "NetworkRuleSet",
    "NetworkSecurityPerimeter",
    "NetworkSecurityPerimeterAccessRule",
    "NetworkSecurityPerimeterAccessRuleProperties",
    "NetworkSecurityPerimeterAccessRulePropertiesSubscriptionsItem",
    "NetworkSecurityPerimeterConfiguration",
    "NetworkSecurityPerimeterConfigurationAssociationInfo",
    "NetworkSecurityPerimeterConfigurationList",
    "NetworkSecurityPerimeterConfigurationProperties",
    "NetworkSecurityPerimeterProfileInfo",
    "NoneAuthTypeConnectionProperties",
    "OAuth2AuthTypeConnectionProperties",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "PATAuthTypeConnectionProperties",
    "PatchResourceTags",
    "PatchResourceTagsAndSku",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointConnectionProperties",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkResourceProperties",
    "PrivateLinkServiceConnectionState",
    "Project",
    "ProjectListResult",
    "ProjectProperties",
    "ProvisioningIssue",
    "ProvisioningIssueProperties",
    "ProxyResource",
    "QuotaLimit",
    "RaiBlockListItemsResult",
    "RaiBlockListResult",
    "RaiBlocklist",
    "RaiBlocklistConfig",
    "RaiBlocklistItem",
    "RaiBlocklistItemBulkRequest",
    "RaiBlocklistItemProperties",
    "RaiBlocklistProperties",
    "RaiContentFilter",
    "RaiContentFilterListResult",
    "RaiContentFilterProperties",
    "RaiMonitorConfig",
    "RaiPolicy",
    "RaiPolicyContentFilter",
    "RaiPolicyListResult",
    "RaiPolicyProperties",
    "RegenerateKeyParameters",
    "RegionSetting",
    "RequestMatchPattern",
    "Resource",
    "ResourceBase",
    "ResourceSku",
    "ResourceSkuListResult",
    "ResourceSkuRestrictionInfo",
    "ResourceSkuRestrictions",
    "SASAuthTypeConnectionProperties",
    "ServicePrincipalAuthTypeConnectionProperties",
    "Sku",
    "SkuAvailability",
    "SkuAvailabilityListResult",
    "SkuCapability",
    "SkuChangeInfo",
    "SkuResource",
    "SystemData",
    "ThrottlingRule",
    "Usage",
    "UsageListResult",
    "UserAssignedIdentity",
    "UserOwnedAmlWorkspace",
    "UserOwnedStorage",
    "UsernamePasswordAuthTypeConnectionProperties",
    "VirtualNetworkRule",
    "AbusePenaltyAction",
    "ActionType",
    "ByPassSelection",
    "CapabilityHostKind",
    "CapabilityHostProvisioningState",
    "CommitmentPlanProvisioningState",
    "ConnectionAuthType",
    "ConnectionCategory",
    "ConnectionGroup",
    "ContentLevel",
    "CreatedByType",
    "DefenderForAISettingState",
    "DeploymentModelVersionUpgradeOption",
    "DeploymentProvisioningState",
    "DeploymentScaleType",
    "EncryptionScopeProvisioningState",
    "EncryptionScopeState",
    "HostingModel",
    "KeyName",
    "KeySource",
    "ManagedPERequirement",
    "ManagedPEStatus",
    "ModelLifecycleStatus",
    "NetworkRuleAction",
    "NspAccessRuleDirection",
    "Origin",
    "PrivateEndpointConnectionProvisioningState",
    "PrivateEndpointServiceConnectionStatus",
    "ProvisioningState",
    "PublicNetworkAccess",
    "QuotaUsageStatus",
    "RaiPolicyContentSource",
    "RaiPolicyMode",
    "RaiPolicyType",
    "ResourceIdentityType",
    "ResourceSkuRestrictionsReasonCode",
    "ResourceSkuRestrictionsType",
    "RoutingMethods",
    "ScenarioType",
    "SkuTier",
    "UnitType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
